Page MenuHomePhabricator

efreet_menu: remove unused and unreachable code.
ClosedPublic

Authored by netstar on Sep 24 2018, 3:26 AM.

Details

Summary

Coverity doesn't like this unreachable code. This purges
efreet_menu of all unused code for the deprecated and
non-working menu_async methods. The warnings remain
at compile time and run time.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
netstar created this revision.Sep 24 2018, 3:26 AM
netstar requested review of this revision.Sep 24 2018, 3:26 AM
devilhorns accepted this revision as: devilhorns.Sep 24 2018, 4:24 AM
This revision is now accepted and ready to land.Sep 24 2018, 4:24 AM

Looks good to me. I will wait for another reviewer to agree before pushing tho

YOhoho added a subscriber: YOhoho.Sep 26 2018, 4:59 PM
Closed by commit rEFLc0b672db9c55: efreet_menu: remove unused and unreachable code. (authored by netstar, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhySep 27 2018, 1:14 AM
This revision was automatically updated to reflect the committed changes.